package com.tax.file.utils;

import java.util.regex.Pattern;

import com.tax.file.constants.FileConstants;

public class CommonUtil {

    /**
    * @描述:判断字符串是否为数字
    * @作者：bree
    * @日期：2020年3月20日 上午10:13:05
    * @param str 
    * @return 返回结果
    */
	public static boolean isInteger(String str) { 
        Pattern pattern = Pattern.compile("^[-\\+]?[\\d]*$"); 
        return pattern.matcher(str).matches(); 
	}
	 /**
	    * @描述:获取服务编码
	    * @作者：bree
	    * @日期：2020年3月20日 上午10:13:05
	    * @return 返回结果
	    */
	public static String getServerNo(){
		if("B".equals(FileConstants.systemName)){
			return "B00001";
		}else if("X".equals(FileConstants.systemName)){
			return "S00009";
		}
		
		return "XXX";
	}
}
